import type { ManifestSection } from './extensions/section.extension.js';
import { UmbContextBase } from '../../../libs/class-api/index.js';
import type { UmbApi } from '../../../libs/extension-api/index.js';
import type { UmbControllerHost } from '../../../libs/controller-api/index.js';
export declare class UmbSectionContext extends UmbContextBase implements UmbApi {
    #private;
    readonly alias: import("rxjs").Observable<string | undefined>;
    readonly pathname: import("rxjs").Observable<string | undefined>;
    readonly label: import("rxjs").Observable<string | undefined>;
    constructor(host: UmbControllerHost);
    set manifest(manifest: ManifestSection | undefined);
    get manifest(): ManifestSection | undefined;
    private _manifest?;
    getPathname(): string | undefined;
}
export default UmbSectionContext;
